Subject: bug#78918: 30.1; mouse clicks not registering when using laptop touchpad on MS-Windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Jun 2025 10:58:53 +0300

> From: Vince Salvino <[email-masked]>
> Date: Sat, 28 Jun 2025 07:01:20 +0000
> 
> For example, when using dired mode, clicking a directory normally opens it in a new buffer. However with this bug, clicking has no effect, almost as if the mouse button is not registered at all. Similarly, trying to click to set the cursor position or select a region does not work. Using a normal USB mouse works fine, just not with the touchpad. Scroll works fine on the touchpad.

I cannot reproduce this.  I downloaded what seems to be the same build
as what you have:

> In GNU Emacs 30.1 (build 2, x86_64-w64-mingw32) of 2025-02-23 built on
>  AVALON
> Windowing system distributor 'Microsoft Corp.', version 10.0.26100
> System Description: Microsoft Windows 10 Pro (v10.0.2009.26100.4484)

with the minor difference that System Description shows an older
build:

  System Description: Microsoft Windows 10 Pro (v10.0.2009.26100.4351)

and all the touchpad clicks produce the expected effects.  This is a
Lenovo ThinkPad X1 Carbon Gen-12 laptop, FTR.

> For reference, I am using a Dell XPS laptop with Windows 11. I know this is going to be a very difficult (or near impossible) thing to debug, however I am only reporting the issue because it works on Emacs 29.4, but not on 30.1. I tested using builds from the emacs FTP site, and ran with -Q option to ensure a clean state.
> 
> I would be happy to debug this myself, if someone could point me in the right direction in the codebase. Surely something must have changed between 29.4 and 30.1 related to mouse / HID handling. I have compiled a build from the master branch as of a few hours ago, and the bug is still present.
> 
> Any ideas?

Maybe review the software installed on the laptop (by Dell or by you)
that could affect the touchpad behavior: perhaps some options or
add-on software causes this?  If you find some settings which affects
this, we could then take it from there.